package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class TemplateObjectModelVersion {
    private String kb;
    private String kxe;
    private Metadata metadata;
    private MinorVersion minorVersion;
    private SchemaNamespace schemaNamespace;

    public TemplateObjectModelVersion() {
    }

    public String getKb() {
        return kb;
    }

    public void setKb(String kb) {
        this.kb = kb;
    }

    public String getKxe() {
        return kxe;
    }

    public void setKxe(String kxe) {
        this.kxe = kxe;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public MinorVersion getMinorVersion() {
        return minorVersion;
    }

    public void setMinorVersion(MinorVersion minorVersion) {
        this.minorVersion = minorVersion;
    }

    public SchemaNamespace getSchemaNamespace() {
        return schemaNamespace;
    }

    public void setSchemaNamespace(SchemaNamespace schemaNamespace) {
        this.schemaNamespace = schemaNamespace;
    }

    @Override
    public String toString() {
        return "TemplateObjectModelVersion [kb=" + kb + ", kxe=" + kxe
            + ", metadata=" + metadata + ", minorVersion=" + minorVersion + ", schemaNamespace=" + schemaNamespace
            + "]";
    }
}
